DefaultUrlMappingEvaluator (Grails 6.0.0)

Package: org.grails.web.mapping

## [Java] Class DefaultUrlMappingEvaluator

- org.grails.web.mapping.DefaultUrlMappingEvaluator

- All Implemented Interfaces and Traits:
    ClassLoaderAware, PluginManagerAware, UrlMappingEvaluator

      public class DefaultUrlMappingEvaluator
      extends java.lang.Object
      implements ClassLoaderAware, PluginManagerAware, UrlMappingEvaluator

  A UrlMapping evaluator that evaluates Groovy scripts that are in the form:

       mappings {
          /$post/$year?/$month?/$day?" {
             controller = "blog"
             action = "show"
             constraints {
                 year(matches:/\d{4}/)
                 month(matches:/\d{2}/)
             }
          }
       }

  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `DefaultUrlMappingEvaluator.MappingCapturingClosure` | A Closure that captures a call to a method that accepts a single closure
    `class` | `DefaultUrlMappingEvaluator.UrlGroupMappingRecursionBuilder` |
    `class` | `DefaultUrlMappingEvaluator.UrlMappingBuilder` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ACTION_CREATE` |
    `static java.lang.String` | `ACTION_DELETE` |
    `static java.lang.String` | `ACTION_EDIT` |
    `static java.lang.String` | `ACTION_INDEX` |
    `static java.lang.String` | `ACTION_PATCH` |
    `static java.lang.String` | `ACTION_SAVE` |
    `static java.lang.String` | `ACTION_SHOW` |
    `static java.lang.String` | `ACTION_UPDATE` |
    `static java.util.List<java.lang.String>` | `DEFAULT_RESOURCES_INCLUDES` |
    `static java.util.List<java.lang.String>` | `DEFAULT_RESOURCE_INCLUDES` |
    `private static java.lang.String` | `EXCEPTION` |
    `private static org.slf4j.Logger` | `LOG` |
    `private static java.lang.String` | `PARSE_REQUEST` |
    `private static java.lang.String` | `RESOURCE` |
    `private static java.lang.String` | `RESOURCES` |
    `private static java.lang.String` | `SINGLE` |
    `private org.springframework.context.ApplicationContext` | `applicationContext` |
    `private groovy.lang.GroovyClassLoader` | `classLoader` |
    `private org.grails.datastore.gorm.validation.constraints.registry.ConstraintRegistry` | `constraintRegistry` |
    `private org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator` | `constraintsEvaluator` |
    `private GrailsApplication` | `grailsApplication` |
    `private GrailsPluginManager` | `pluginManager` |
    `private UrlMappingParser` | `urlParser` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultUrlMappingEvaluator (org.springframework.context.ApplicationContext applicationContext)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.List` | `evaluateMappings(org.springframework.core.io.Resource resource)`
    `` | `public java.util.List<UrlMapping>` | `evaluateMappings(java.lang.Class theClass)`
    `` | `private java.util.List<UrlMapping>` | `evaluateMappings(groovy.lang.GroovyObject go, groovy.lang.Closure<?> mappings, groovy.lang.Binding binding)`
    `` | `public java.util.List<UrlMapping>` | `evaluateMappings(groovy.lang.Closure closure)`
    `` | `public void` | `setClassLoader(java.lang.ClassLoader classLoader)`
    `` | `public void` | `setPluginManager(GrailsPluginManager pluginManager)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ACTION_CREATE

    - #### public static final java.lang.String ACTION_DELETE

    - #### public static final java.lang.String ACTION_EDIT

    - #### public static final java.lang.String ACTION_INDEX

    - #### public static final java.lang.String ACTION_PATCH

    - #### public static final java.lang.String ACTION_SAVE

    - #### public static final java.lang.String ACTION_SHOW

    - #### public static final java.lang.String ACTION_UPDATE

    - #### public static final java.util.List<java.lang.String> DEFAULT_RESOURCES_INCLUDES

    - #### public static final java.util.List<java.lang.String> DEFAULT_RESOURCE_INCLUDES

    - #### private static final java.lang.String EXCEPTION

    - #### private static final org.slf4j.Logger LOG

    - #### private static final java.lang.String PARSE_REQUEST

    - #### private static final java.lang.String RESOURCE

    - #### private static final java.lang.String RESOURCES

    - #### private static final java.lang.String SINGLE

    - #### private org.springframework.context.ApplicationContext applicationContext

    - #### private groovy.lang.GroovyClassLoader classLoader

    - #### private final org.grails.datastore.gorm.validation.constraints.registry.ConstraintRegistry constraintRegistry

    - #### private final org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator constraintsEvaluator

    - #### private GrailsApplication grailsApplication

    - #### private GrailsPluginManager pluginManager

    - #### private UrlMappingParser urlParser

  - ### Constructor Detail

    - #### public DefaultUrlMappingEvaluator(org.springframework.context.ApplicationContext applicationContext)

  - ### Method Detail

    - #### @java.lang.SuppressWarnings({"rawtypes", "unchecked"}) public java.util.List evaluateMappings(org.springframework.core.io.Resource resource)

    - #### @java.lang.SuppressWarnings({"unchecked", "rawtypes"}) public java.util.List<UrlMapping> evaluateMappings(java.lang.Class theClass)

    - #### private java.util.List<UrlMapping> evaluateMappings(groovy.lang.GroovyObject go, groovy.lang.Closure<?> mappings, groovy.lang.Binding binding)

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.List<UrlMapping> evaluateMappings(groovy.lang.Closure closure)

    - #### public void setClassLoader(java.lang.ClassLoader classLoader)

    - #### public void setPluginManager(GrailsPluginManager pluginManager)